# # static configuration
# core:
#   defaultRuleSyntax: v2
global:
  checkNewVersion: true
  sendAnonymousUsage: false
log:
  level: DEBUG
  format: common
  filePath: /dev/shm/traefik.log
api:
  insecure: true
  dashboard: true
entryPoints:
  http:
    address: ":80"
    http:
      redirections:
        entryPoint:
          to: https
          scheme: https
  https:
    address: ":443"
serversTransport:
  #insecureSkipVerify: true
  rootCAs:
    - /etc/certs/pfsense-ca-new.crt
tcpServersTransport:
  tls:
    rootCAs:
      - /etc/certs/pfsense-ca-new.crt
# tracing:
#   serviceName: traefik
#   spanNameLimit: 150
  # jaeger:
  #   samplingServerURL: http://traefik-jaeger:5778/sampling
  #   samplingType: const
  #   samplingParam: 1
  #   localAgentHostPort: traefik-jaeger:6831
  #   propagation: jaeger
  #   traceContextHeaderName: uber-trace-id
providers:
  file:
    watch: true
    directory: /etc/traefik/configs
  docker:
    endpoint: "unix:///var/run/docker.sock"
    exposedByDefault: false

certificatesResolvers:
